complexType "CommodityPricingDates"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 1 attribute, 4 elements
Defined: | globally in fpml-com-5-5.xsd; see XML source
Includes: | definitions of 1 attribute, 1 element
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | dayType?, dayDistribution, dayCount?, calendarSource?
</...>

Content Model Elements (4):

  calendarSource, dayCount, dayDistribution, dayType

All Direct / Indirect Based Elements (2):

  pricingDates (defined in FloatingLegCalculation complexType), | pricingDates (in commodityOption)

Known Usage Locations

- As direct type of elements (2):

  pricingDates (defined in FloatingLegCalculation complexType), | pricingDates (in commodityOption)

Annotation
The dates on which prices are observed for the underlyer.
XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="CommodityPricingDates"> <xsd:sequence> <!--View Generation: SKIPPED - Documentation--> <!--View Generation: Removed a degenerate choice.--> <xsd:sequence> <!--View Generation: SKIPPED lag - Standardized--> <!--View Generation: Removed a degenerate choice.--> <xsd:sequence> <xsd:group ref="PricingDays.model"/> <!--View Generation: SKIPPED businessCalendar - DateAdjustments--> <xsd:element minOccurs="0" name="calendarSource" type="CalendarSourceEnum"/> </xsd:sequence> </xsd:sequence> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID"/>

Content Element Detail (all declarations; defined within this component only; 1/4)
calendarSource

  Type: | CalendarSourceEnum, simple content

  Used in conjunction with an exchange-based pricing source. Identifies a date source calendar from which the pricing dates and thus roll to the next contract will be based off (e.g. pricing is based on the NYMEX WTI First Nearby Futures Contract, if “Future” is chosen, the pricing will roll to the next futures contract on expiration, if “ListedOption” is chosen, the pricing will roll to the next futures contract on the Option expiration date which is three business days before the expiration of the NYMEX WTI futures contract.) Omitting this element will result in the default behavior expected with the pricing source described within the commodity element.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "ListedOption" | - | Pricing Dates (based off of listed options dates) in respect of each Calculation Period, the last Commodity Business Day on which the relevant Options Contract is scheduled to trade on the Exchange. See: http://www.FpML.org
  "Future" | - | Pricing Dates (based off of futures dates) in respect of each Calculation Period, the last Commodity Business Day on which the relevant Futures Contract is scheduled to trade on the Exchange. See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="calendarSource" type="CalendarSourceEnum"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.